<script lang="ts">
  import GiPerspectiveDiceSixFacesRandom from 'svelte-icons/gi/GiPerspectiveDiceSixFacesRandom.svelte'
  import Rules from '../Rules.svelte'

  export let open: boolean = false
  export let toggleModal: () => void
</script>

<div class="relative z-10" class:hidden={!open} aria-labelledby="modal-title" role="dialog" aria-modal="true">
  <div class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity" />

  <div class="fixed inset-0 z-10 overflow-y-auto cursor-pointer" on:click|stopPropagation={toggleModal} on:keydown>
    <div class="flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0">
      <div
        class="relative transform overflow-hidden rounded-lg bg-white text-left shadow-xl transition-all sm:my-8 sm:w-full sm:max-w-screen-md cursor-default"
        on:click|stopPropagation
        on:keydown
      >
        <div class="bg-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
          <div class="sm:flex sm:items-start">
            <div class="mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left">
              <div class="flex items-center">
                <div class="modal-rules-icon">
                  <GiPerspectiveDiceSixFacesRandom />
                </div>
                <h3 class="rubik-font text-2xl font-medium leading-6 text-gray-900" id="modal-title">Rules</h3>
              </div>
              <Rules />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<style>
  div.modal-rules-icon {
    width: 28px;
    margin-right: 1rem;
  }
</style>
